Subject: Re: linux-next: build failure after merge of the mac80211-next tree

From: Sergey Matyukevich <[email-masked]>
Date: Tue, 28 Apr 2020 10:45:27 +0300

On Tue, Apr 28, 2020 at 09:24:16AM +0200, Johannes Berg wrote:
> On Tue, 2020-04-28 at 10:25 +0300, Sergey Matyukevich wrote:
> > On Tue, Apr 28, 2020 at 09:01:30AM +0200, Johannes Berg wrote:
> > > On Tue, 2020-04-28 at 12:29 +1000, Stephen Rothwell wrote:
> > > > Hi all,
> > > > 
> > > > After merging the mac80211-next tree, today's linux-next build (x86_64
> > > > allmodconfig) failed like this:
> > > > 
> > > > Caused by commit
> > > > 
> > > >   6cd536fe62ef ("cfg80211: change internal management frame registration API")
> > > 
> > > Yeah. I forgot about staging. I guess I'll throw in a quick fix.
> > > 
> > > johannes
> > 
> > Hello Johannes,
> > 
> > Could you please take a look at the following fix for this issue:
> > https://patchwork.kernel.org/patch/11509497/
> 
> Heh. I was just fixing it too, missed your patch. How do you like this
> fix?
> 
> https://p.sipsolutions.net/0638ee56c2e48a30.txt

Looks good. But I have a couple of questions:

- why cleanup vif->mgmt_frame_reg in wilc_mac_open ?

- previously wilc_wfi_p2p_rx was called only for PROBE_REQ and ACTION,
  now it will be called for all the other registred frames as well

Regards,
Sergey